package com.ruoyi.system.domain.vo;

import com.ruoyi.system.domain.*;

/**
 * 产品详情（用于创建/更新产品时传递子表数据）
 */
public class ProductDetailVo {

    private ProductCharging productCharging;
    private ProductDirectcurrent productDirectcurrent;
    private ProductDischarge productDischarge;
    private ProductProductsemitrailer productProductsemitrailer;
    private ProductTractionhead productTractionhead;

    public ProductCharging getProductCharging() {
        return productCharging;
    }

    public void setProductCharging(ProductCharging productCharging) {
        this.productCharging = productCharging;
    }

    public ProductDirectcurrent getProductDirectcurrent() {
        return productDirectcurrent;
    }

    public void setProductDirectcurrent(ProductDirectcurrent productDirectcurrent) {
        this.productDirectcurrent = productDirectcurrent;
    }

    public ProductDischarge getProductDischarge() {
        return productDischarge;
    }

    public void setProductDischarge(ProductDischarge productDischarge) {
        this.productDischarge = productDischarge;
    }

    public ProductProductsemitrailer getProductProductsemitrailer() {
        return productProductsemitrailer;
    }

    public void setProductProductsemitrailer(ProductProductsemitrailer productProductsemitrailer) {
        this.productProductsemitrailer = productProductsemitrailer;
    }

    public ProductTractionhead getProductTractionhead() {
        return productTractionhead;
    }

    public void setProductTractionhead(ProductTractionhead productTractionhead) {
        this.productTractionhead = productTractionhead;
    }
}
